# Part of Odoo. See LICENSE file for full copyright and licensing details.

import logging

from odoo import fields, models

_logger = logging.getLogger(__name__)


class PaymentToken(models.Model):
    _inherit = 'payment.token'

    clover_source_token = fields.Char(
        string="Clover Source Token",
        help="The Clover multi-pay token (source ID) for recurring charges.",
        readonly=True,
        groups='base.group_system',
    )
